<!DOCTYPE html>
<html lang="en">
<head>
    <!-- info about the web page (metadata) -->
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home Page</title>
</head>
<body>
        <header>
            <!-- what is rendered in the browser -->
            <h1>Welcome to My App!</h1>
        </header>
        <main> 
            <figure>
                <img src="https://www.mashed.com/img/gallery/basic-homemade-pancake-recipe/intro-1623681422.jpg" alt="a fluffy stack of pancakes" />
                <figcaption>wow those pancakes look delightful!</figcaption>
            </figure>

            <h3>Some of my favorite pancake topics:</h3>
            <ol>
                <li>blueberries</li>
                <li>strawberries</li>
                <li>syrup</li>
            </ol>

            <h3>Here is my favorite pancake recipe:</h3>
            <table>
                <thead>
                    <tr>
                        <th>Amount</th> <!-- column titles -->
                        <th>Ingredient</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>2 c.</td>
                        <td>all purpose flour</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>egg</td>
                    </tr>
                    <tr>
                        <td>1 c.</td>
                        <td>milk</td>
                    </tr>
                    <tr>
                        <td>2 tbsp.</td>
                        <td>sugar</td>
                    </tr>
                    <tr>
                        <td>1 c.</td>
                        <td>butter</td>
                    </tr>
                </tbody>
            </table>

            <!-- the aside element is the example of a semantic element, it's not doing anything special for us here but it is giving us a little more context on this section's relation to the web page as a whole -->
            <aside> If you don't like my pancake recipe, here is another one you can try: <a href="https://www.allrecipes.com/recipe/21014/good-old-fashioned-pancakes/">other recipe</a> </aside>
            
            <p>Let me know what you think! Submit your recipe feedback <a href="./feedback-form.html">here</a></p>
        </main>
        
</body>
</html>